=== src/fizmo/Makefile ===
--- 
+++ 
@@ -56,16 +56,13 @@
 fizmo.h: ../c/screen_interface.h
 	touch fizmo.h
 
-locales.o: i18n.h locales.c locales.h
+locales.o: locales.c-or-h
 	$(CC) $(CFLAGS) -c locales.c
 
-locales.c: prepi18n
+locales.c-or-h: prepi18n
 	./prepi18n
 
-locales.h: prepi18n
-	./prepi18n
-
-prepi18n.o: i18n.h z_ucs.h prepi18n.c
+prepi18n.o: z_ucs.h prepi18n.c
 	$(CC) $(CFLAGS) -c prepi18n.c
 
 prepi18n: z_ucs.o prepi18n.o
@@ -80,7 +77,9 @@
 streams.o: streams.h tracelog.h fizmo.h ../c/screen_interface.h i18n.h wordwrap.h text.h zpu.h output.h z_ucs.h splint.h blockbuf.h history.h types.h streams.c $(BLOCKBUF_DEP_H) $(OUTPUT_HST_DEP_H)
 	$(CC) $(CFLAGS) -c streams.c
 
-i18n.o: i18n.h tracelog.h fizmo.h config.h locales.h streams.h misc.h types.h z_ucs.h zpu.h splint.h i18n.c
+i18n.h: locales.c-or-h
+
+i18n.o: i18n.h tracelog.h fizmo.h config.h locales.c-or-h streams.h misc.h types.h z_ucs.h zpu.h splint.h i18n.c
 	$(CC) $(CFLAGS) -c i18n.c
 
 routine.o: routine.h tracelog.h stack.h variable.h zpu.h i18n.h fizmo.h splint.h routine.c
@@ -143,7 +142,7 @@
 z_ucs.o: z_ucs.h config.h splint.h z_ucs.c
 	$(CC) $(CFLAGS) -c z_ucs.c
 
-config.o: config.h types.h splint.h config.c
+config.o: config.h types.h splint.h i18n.h config.c
 	$(CC) $(CFLAGS) -c config.c
 
 z_ucs_i.o: z_ucs_i.h config.h z_ucs.h i18n.h splint.h z_ucs_i.c
