## fizmo 0.6.10

=== src/ncursesw/Makefile ===
--- 
+++ 
@@ -25,8 +25,15 @@
 NCURSESW_LIB_DIRS += -L$(NCURSESW_LIB_DIR)
 endif
 
-NCURSESW_LIBS = $(FIZMO_LIBS) -lncursesw
+NCURSESW_LIBS = $(FIZMO_LIBS)
 NCURSEWS_FLAGS =
+
+ifneq ($(NCURSESW_INCLUDE_FROM_W_DIRNAME),)
+NCURSESW_LIBS += -lncursesw
+NCURSEWS_FLAGS += -DNCURSESW_INCLUDE_FROM_W_DIRNAME=1
+else
+NCURSESW_LIBS += -lncurses
+endif
 
 ifneq ($(ENABLE_X11_IMAGES),)
  NCURSESW_INC_DIRS +=\
@@ -37,7 +44,8 @@
   -I$(GTK_INC_DIR)/gtk2\
   -I$(CAIRO_INC_DIR)\
   -I$(PANGO_INC_DIR)\
-  -I$(ATK_INC_DIR)
+  -I$(ATK_INC_DIR)\
+  -I$(GDKPIXBUF_INC_DIR)
 
  NCURSEWS_FLAGS += -DENABLE_X11_IMAGES=1
