=== debian/changelog ===
fizmo (0.6.10-1) unstable; urgency=low

  * Bugfix release: Fizmo did not stop tokenzing after the maximum number
    of allowed words, which would result in a parse buffer overflow. Thanks
    to Samuel Verschelde for discovering this problem.
  * Build-Depends now require minimum version 8 for debhelper.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Sun, 03 Jul 2011 14:31:29 +0200

fizmo (0.6.9-1) unstable; urgency=low

  * Bugfix release. Fixed negative count for unsorted dictionaries in the
    tokenise opcode. This fixed the crash in "Beyond Zork" which occurred
    while executing "i" after an item was name, thanks to irb.
  * Fixed "get_utf8_code_length" (Closes: #617714). This fixes output of
    non-latin1 output codes in the transcript file, thanks to Lewis Gentry.
  * Increased maximum allowed option size to 512 to allow for longer
    filenames.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Sun, 1 May 2011 14:52:36 +0200

fizmo (0.6.8-1) unstable; urgency=low

  * Bugfix release: Interpreter and interface information is now correctly
    written into the header after restarting, additionally the input length
    for transscript and command input/output-stream filenames has been 
    fixed. Thanks to Samuel Verschelde.
  * Added "sync-transcript" option: When enabled, it'll flush the wordwrapper
    and file output buffer as soon as possible.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Tue, 12 Jan 2010 10:26:48 +0100

fizmo (0.6.7-1) unstable; urgency=low

  * Bugfix release. Fixed trunction of babel data input. So far, the last
    byte was cut off from the input, resulting in an error if the file was
    encoded using unix newlines, but no errors as long as DOS newlines were
    used. This fixes missing metadata issues in the story browser.
  * This release includes the changes from version 0.6.6: Files which have a
    ".zblorb" suffix now have this removed when displayed in the story browser.
    Minimal changes to seeding of random generators to increase input entropy.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Tue, 15 Dec 2009 08:52:59 +0100

fizmo (0.6.5-1) unstable; urgency=low

  * Bugfix release. Fizmo will now keep transcribing after restarts (which
    is the behaviour required by the Z-Machine specification) and the
    Makefiles have been adapted to allow parallel builds (make -j 2 etc).

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Wed, 14 Oct 2009 09:15:12 +0200

fizmo (0.6.4-1) unstable; urgency=low

  * Bugfix release. This fixes crahes on startup when screen uses
    non-standard ncurses colors and removes garbage output from
    the "read_char" opcode implementation.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Thu, 28 May 2009 06:55:00 +0200

fizmo (0.6.3-1) unstable; urgency=low

  * Initial release (Closes: #525490)

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Sun, 26 Apr 2009 07:37:58 +0200
