=== debian/control ===
Source: fizmo
Section: games
Priority: extra
Maintainer: Christoph Ender <Christoph.Ender@spellbreaker.org>
Build-Depends: debhelper (>= 8.0.0), libncursesw5-dev, libsndfile1-dev, libsdl-sound1.2-dev, libxml2-dev
Standards-Version: 3.9.2
Homepage: http://spellbreaker.org/~chrender/fizmo

Package: fizmo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: zcode-interpreter
Description: Console-based Z-machine interpreter for Infocom/Inform games
 This is a ncurses-(text-)based Z-Machine interpreter. It can be used to play
 old Infocom text adventures (except version 6) and modern interactive fiction
 as created by the Inform compiler. For more information about interactive
 fiction -- and to download many storyfiles -- see http://www.ifarchive.org.
