=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure-stamp:
	dh_testdir
	touch configure-stamp

configure: configure-stamp
	dh_testdir
	cp config.default.mk config.mk

build-stamp: configure
	dh_testdir
	touch $@

build-indep:

build-arch: build-stamp
	dh_testdir
	$(MAKE)

build: build-arch

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	cp config.default.mk config.mk
	$(MAKE) clean
	rm config.mk
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/fizmo install

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG.txt
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
