=== debian/changelog ===
fizmo (0.7.2-2) unstable; urgency=low
  * Removed superfluous dependency from fizmo-common to fizmo fixing circular
    package dependency.
  * Moved transitional fizmo package from "games" into "oldlibs" section.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Wed, 11 Apr 2012 18:45:00 +0200

fizmo (0.7.2-1) unstable; urgency=low

  * From the user's perspective, version 0.7 adds hyphenation, saving of the
    latest screen output into savefiles, re-display of said output upon restore,
    a much improved X11-frontispiece display and improved localization. Thanks
    to Andrew Plotkin for the GLK-related code and Eric Forgeot for the french
    localization. Please see "README-0.7.txt" for more information.
  * Restructured fizmo: The interpreter core, ncursesw- and console-interface,
    the sdl-sound interface and the X11-specific code have been moved into
    separate modules named "libfizmo", "fizmo-ncursesw", "fizmo-console",
   "libsndifsdl" and "libdrilbo".
  * Implemented Frank Liangs TeX hy-phen-a-tion algorithm into the
    wordwrapper. Patterns were taken from the "hyph-utf8" project at
    http://www.ctan.org/tex-archive/language/hyph-utf8/. Re-implemented the
    word wrapper.
  * Rebuilt locales system. So far, all available locales were directly
    compiled into the binary and stored using a rather inflexible method
    which wasted some memory. Version 0.7 now stores the locales on the
    disk, reading only those languages and modules which are currently
    required. All i18n-invocations do now directly accept a module
    identifier, make the old switch functionality obsolete. Adapted all
    i18n calls to new method.
  * Rebuilt output history storage. This has been reimplemented using a
    single memory stream instead of storing text and metadata separately.
  * Implemented a cell-screen meta-interface. This translates the output
    from fizmo's screen interface into simple goto-xy and print commands,
    allowing implementation of interfaces using fixed-width fonts with a
    minimum of work. This is also used by the new "fizmo-ncursesw" interface,
    which has also been entirely rewritten.
  * libdrilbo ("drilbo represents an imaging library not only for blorb
    objects") now handles all graphical related tasks. It also makes fizmo's
    version 0.6 requirement for GTK to load images obsolete, it directly
    uses libjpg and libpng to load images and provides its own Xlib
    implementation for X11 output.
  * X11 frontispiece display is now by default in a separate window, which,
    contrary to the older implementation that simply invoked a XCopyArea
    directly into the terminal's X window, should work reliably. For
    terminals which by chance support it, the old behaviour is still
    available by using the "display-x11-inline-image" config option. The
    inline display has been changed to no longer write directly into the
    terminal window, but instead to use a subwindow instead.
  * Implemented saving of text history using a non-standard chunk type "TxHs"
    in quetzal savegames.
  * Added configuration variable "save-text-history-paragraphs" which defines
    the maximum number of paragraphs to store in a savegame.
  * Added variable interpretation -- so far, only $(HOME) is implemented --
    for config files.
  * Re-implemented the entire build process. Libraries may now be compiled
    and installed on their own, pkg-config is used whereever possible to
    ease compilation and installation.
  * Adapted Makefiles and configuration to use standard GNU Makefile variables
    instead of INSTALL_PATH and FIZMO_BIN_DIR.
  * Fixed an error in the stack restoration in "opcode_restore_undo". Thanks
    to Lewis Gentry for reporting this bug.
  * Made fizmo comply to "praxix.z5" test, merged zarf's DISABLE_PREFIX_COMMANDS
    functionality.
  * Merged zarf's GLK changes into "glk_screen_if.c". The new version 0.1.2
    fixes screen size detection, timed input and adds lowering of the input
    line.
  * Fixed missing $(DESTDIR) variable.
  * Fixed an error which would occur for empty pathnames when starting up a
    game on 32-bit platforms, thanks to Samuel Verschelde.
  * The transcription and fixed font bits will now correctly survive a
    restore, as defined in the Z-Maschine standard.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Tue, 03 Apr 2012 22:15:06 +0200
